Echo Off
Set ORCADEXE=C:\ELECTRON\DESIGN\ORCAD\EXE\
If not %ORCADEXE%. == C:\ELECTRON\DESIGN\ORCAD\EXE\. Goto ENVERR
Set ORCADESP=C:\ELECTRON\DESIGN\ORCAD\ESP\
If not %ORCADESP%. == C:\ELECTRON\DESIGN\ORCAD\ESP\. Goto ENVERR
Set ORCADUSER=C:\ELECTRON\DESIGN\ORCAD\ESP\
If not %ORCADUSER%. == C:\ELECTRON\DESIGN\ORCAD\ESP\. Goto ENVERR
Set ORCADPROJ=C:\ELECTRON\DESIGN\ORCAD\
If not %ORCADPROJ%. == C:\ELECTRON\DESIGN\ORCAD\. Goto ENVERR
Set OldPath=%PATH%
If not %OldPath%. == %PATH%. Goto ENVERR
Set PATH=%ORCADEXE%
If not %PATH%. == %ORCADEXE%. Goto ENVERR
Cls
C:
Cd C:\ELECTRON\DESIGN\ORCAD\TEMPLATE
Echo.
Echo   If you wish to abort this process now, press Ctrl-C.  However, you will
Echo   need to manually update the ORCADESP.DAT files and convert the OrCAD
Echo   schematic and library files before using SDT 386+.
Echo.
Echo.
Pause
Cls
Echo   For instructions on manual updates and conversion of the following
Echo   files, please see the corresponding documentation included with
Echo   this release:
Echo.
Echo   ORCADESP.DAT............OrCAD Technical Note #45
Echo   SDT schematic files.....Schematic Design Tools Reference Guide Supplement
Echo   and library files.......
Echo.
Echo.
Echo   The conversion process will begin now.
Echo.
Echo.
Pause
If not exist ORCADESP.DAT set NoDatFile=TRUE
If not exist C:\ELECTRON\DESIGN\ORCAD\ESP\SDT386.MRG set NoMrgFile=TRUE
If %NoDatFile%. == TRUE. goto FILEERR
If %NoMrgFile%. == TRUE. goto FILEERR
Cls
Echo.
Echo.
Echo     Updating ORCADESP.DAT files in design directories...
Echo.
Set ORCADPROJ=C:\ELECTRON\DESIGN\ORCAD\
If not %ORCADPROJ%. == C:\ELECTRON\DESIGN\ORCAD\. Goto ENVERR
MERGEDAT SDT386.MRG /A/P
Goto END
:FILEERR
Cls
Echo  ERROR:  Unable to find the following file(s).
Echo.
If %NoMrgFile%. == TRUE. echo          C:\ELECTRON\DESIGN\ORCAD\ESP\SDT386.MRG
If %NoDatFile%. == TRUE. echo          C:\ELECTRON\DESIGN\ORCAD\TEMPLATE\ORCADESP.DAT
Echo.
Echo          The files listed above are critical for this update process to
Echo          complete. 
Echo.
Pause
:MRG
If not %NoMrgFile%. == TRUE. goto DAT
Echo.
Echo          The SDT386.MRG file is used to update the screen buttons, SDT 386+
Echo          executable references, and SDT 386+ local configurations for ESP.
:DAT
If not %NoDatFile%. == TRUE. goto CONVERT
Echo.
Echo          The ORCADESP.DAT file may have been missed if
Echo.
Echo              C:\ELECTRON\DESIGN\ORCAD\TEMPLATE
Echo.
Echo          is not where you normally store your project directories (they may
Echo          be on another drive).  If this is true, then the SDT 386+ v1.10
Echo          installation made a TEMPLATE directory on drive C:, the same
Echo          drive that the SDT 386+ v1.10 executable files were installed to.
Echo          Given these circumstances, you should have chosen to manually update
Echo          your ORCADESP.DAT files.
Echo.
Pause
:CONVMRG
Echo.
Echo          If the installation process was unable to run this batch file
Echo          due to memory constraints and indicated to run manually, then
Echo          please procede.
Echo.
Echo          If, however, some time has passed since the installation of
Echo          SDT 386+ and you are running this batch file from the DOS
Echo          command prompt, the files indicated as missing earlier may
Echo          have been deleted or moved from their original location.  If
Echo          these are the conditions you are presently operating under,
Echo          it would be safest to rerun the SDT 386+ installation and
Echo          choose to have it do the conversions for you.  This will
Echo          ensure that other files involved in this process are located
Echo          where they are expected and provide a greater likelihood
Echo          that the conversion process will be successful.
Echo.
Pause
Goto END
:ENVERR
Cls
Echo.
Echo.
Echo.
Echo.
Echo     ERROR: It appears that there is not enough environment space to
Echo            temporarily set environment variables required to perform
Echo            the automatic conversion of the files you have indicated.
Echo            You may need to increase your environment size by adding
Echo            or modifying the SHELL statement in your CONFIG.SYS file
Echo            as described in your DOS manual.
Echo.
Echo            You will now need to make sure that the ORCADEXE, ORCADESP,
Echo            ORCADPROJ, and ORCADUSER environment variables are set
Echo            correctly and then run MERGEDAT.EXE according to the
Echo            instructions in the documentation accompanying the SDT 386+
Echo            product.
Echo.
Echo.
Echo.
Echo.
Pause
Goto END
:END
Cd C:\ELECTRON\DESIGN\ORCAD\TEMPLATE
Set NoDatFile=
Set NoMrgFile=
Set NoConvert=
Set PATH=%ORCADEXE%;%OldPath%
Set OldPath=
Set ORCADEXE=C:\ELECTRON\DESIGN\ORCAD\EXE\
Set ORCADESP=C:\ELECTRON\DESIGN\ORCAD\ESP\
Set ORCADUSER=C:\ELECTRON\DESIGN\ORCAD\ESP\
Set ORCADPROJ=C:\ELECTRON\DESIGN\ORCAD\
